#!/bin/sh
export PATH='/usr/local/sbin:/usr/local/bin:/usr/bin:/usr/bin/site_perl:/usr/bin/vendor_perl:/usr/bin/core_perl:/usr/bin/site_perl:/usr/bin/vendor_perl:/usr/bin/core_perl:/usr/bin/site_perl:/usr/bin/vendor_perl:/usr/bin/core_perl:/usr/bin/site_perl:/usr/bin/vendor_perl:/usr/bin/core_perl'
echo 'name:                 hOpenPGP
version:              2.9.4
visibility:           public
id:                   hOpenPGP-2.9.4-8Kq1VxeWvBaBbHfd9K5UaZ
key:                  hOpenPGP-2.9.4-8Kq1VxeWvBaBbHfd9K5UaZ
license:              MIT
copyright:            2012-2020  Clint Adams
maintainer:           Clint Adams <clint@debian.org>
author:               Clint Adams
homepage:             https://salsa.debian.org/clint/hOpenPGP
synopsis:             native Haskell implementation of OpenPGP (RFC4880)
description:
    native Haskell implementation of OpenPGP (RFC4880), plus Camellia (RFC5581), plus ECC (RFC6637)

category:             Codec, Data
abi:                  7d4417459865994579f245612ad856e2
exposed:              True
exposed-modules:
    Codec.Encryption.OpenPGP.CFB Codec.Encryption.OpenPGP.Compression
    Codec.Encryption.OpenPGP.Expirations
    Codec.Encryption.OpenPGP.Fingerprint
    Codec.Encryption.OpenPGP.KeyInfo
    Codec.Encryption.OpenPGP.KeySelection
    Codec.Encryption.OpenPGP.KeyringParser
    Codec.Encryption.OpenPGP.Ontology Codec.Encryption.OpenPGP.S2K
    Codec.Encryption.OpenPGP.SecretKey
    Codec.Encryption.OpenPGP.Serialize
    Codec.Encryption.OpenPGP.SignatureQualities
    Codec.Encryption.OpenPGP.Signatures Codec.Encryption.OpenPGP.Types
    Data.Conduit.OpenPGP.Compression Data.Conduit.OpenPGP.Decrypt
    Data.Conduit.OpenPGP.Filter Data.Conduit.OpenPGP.Keyring
    Data.Conduit.OpenPGP.Keyring.Instances Data.Conduit.OpenPGP.Verify

hidden-modules:
    Codec.Encryption.OpenPGP.Internal
    Codec.Encryption.OpenPGP.Internal.CryptoCipherTypes
    Codec.Encryption.OpenPGP.Internal.Cryptonite
    Codec.Encryption.OpenPGP.Internal.HOBlockCipher
    Codec.Encryption.OpenPGP.SerializeForSigs
    Codec.Encryption.OpenPGP.Types.Internal.Base
    Codec.Encryption.OpenPGP.Types.Internal.CryptoniteNewtypes
    Codec.Encryption.OpenPGP.Types.Internal.PacketClass
    Codec.Encryption.OpenPGP.Types.Internal.PKITypes
    Codec.Encryption.OpenPGP.Types.Internal.Pkt
    Codec.Encryption.OpenPGP.Types.Internal.PrettyUtils
    Codec.Encryption.OpenPGP.Types.Internal.TK
    Codec.Encryption.OpenPGP.BlockCipher

import-dirs:          /usr/lib/ghc-8.10.1/site-local/hOpenPGP-2.9.4
library-dirs:         /usr/lib/ghc-8.10.1/site-local/hOpenPGP-2.9.4
dynamic-library-dirs: /usr/lib
data-dir:             /usr/share/x86_64-linux-ghc-8.10.1/hOpenPGP-2.9.4
hs-libraries:         HShOpenPGP-2.9.4-8Kq1VxeWvBaBbHfd9K5UaZ
depends:
    aeson-1.4.7.1-EoNqsuVl2wKCVPKzyMZfcX
    asn1-encoding-0.9.6-1s888oTJVnfHC1CFNQ7qTo
    attoparsec-0.13.2.4-87bVvCChLi08NvuvB1LmA2 base-4.14.0.0
    base16-bytestring-0.1.1.6-DS9xLNC5hoWBUNdBXU0AGB
    bifunctors-5.5.7-AYKNwvcFNtUJZ8TKhmVuy4 binary-0.8.8.0
    binary-conduit-1.3.1-LRghs70JS25JhzoG8hDpJr bytestring-0.10.10.0
    bz2-1.0.0.3-AdGGkRAlkuV3cLO5N7EScm
    conduit-1.3.2-K70gZBL2fHy7pAwoErzAGH
    conduit-extra-1.3.5-GrHiz6L0uHQFmr6aHgpxSr containers-0.6.2.1
    crypto-cipher-types-0.0.9-6H5wnP1hUlUJr87p9r8jfr
    cryptonite-0.26-JIZdcaiOiQ0E7oAZnbqxMe
    errors-2.3.0-J0vuvfwTskDGgjEyuHQ13r
    hashable-1.3.0.0-FGLT5ncsVvTFKpMkBcbN1N
    incremental-parser-0.4.0.1-BDEwPcNqsHx5HfPHm3bGnm
    ixset-typed-0.5-Ane08x6DGa96S9GXY4jPLj
    lens-4.19.2-5OYqNKwRo1t3XeSophZqxp
    memory-0.15.0-EuehB4FMe9b5ts9dSjTFQ5
    monad-loops-0.4.3-8vl2D03xZPMKQkyzzvP1nU
    nettle-0.3.0-E08C9Y87bRr7DDx5DOFo3e
    network-uri-2.6.3.0-E1HvqUeKxRMK7Pkj5hKUx7
    newtype-0.2.2.0-2k6fIxLqjkuLOUsRg3CDiX
    openpgp-asciiarmor-0.1.2-9HUvUPVq0FfCw3Z7ApMtfM
    prettyprinter-1.6.1-ELkLfX5ntCRsTbRf5D2Er
    resourcet-1.2.4-KKyjWH4kPVsHTBug5svVkU
    split-0.2.3.4-8kBquGcVmRiJXAYPoD7UTQ text-1.2.3.2 time-1.9.3
    time-locale-compat-0.1.1.5-GXXNeY7B1uk7vp43pl6DSS
    transformers-0.5.6.2 unliftio-core-0.2.0.1-DFzZctvkeWF1j2hnkeOBtq
    unordered-containers-0.2.10.0-ICA6ej5I5Fj46rua6lwZRd
    zlib-0.6.2.1-IaKBReZRhRdBDsfrN4q94r

haddock-interfaces:   /usr/share/doc/haskell-hopenpgp/html/hOpenPGP.haddock
haddock-html:         /usr/share/doc/haskell-hopenpgp/html
' | '/usr/bin/ghc-pkg' 'update' '--force' '-' '--global' '--no-user-package-db' "$@"

